/**
 * @file
 * Drupal behavior to push smart content winner details to the dataLayer.
 */

(function (Drupal) {
  window.addEventListener('smart_content_decision', function (event) {

    console.log('event', event.detail);

    // Format data to push into the data layer.
    let data = '{' + event.detail.winner + ': [' + event.detail.settings.dataLayer[event.detail.winner] + ']';

    // Push or append data to the dataLayer.
    let index = window.dataLayer.findIndex(function (object) {
      return object.hasOwnProperty('smart_content');
    });
    if (index > -1) {
      window.dataLayer.push([
        'smart_content.push',
        data,
      ]);
    }
    else {
      window.dataLayer.push({
        'smart_content': [
          data,
        ],
      });
    }

  });

})(Drupal);
